﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */


.alert-nodocumenttitle {
    color: #80027b;
    background-color: #febefc;
    border-color: #fc56f7;
}

.bg-mainmodalheadercolor {
    background-color: #5482a4;
}

.modal-backdrop {
    width: 100%;
    height: 100%;
}


.modal-content {
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.modal-footer {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}


.modal-header {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}


.standardTableHeader {
    background: linear-gradient(to right, white, gainsboro); 
}


::-webkit-scrollbar {
    width: 15px;
    height: 15px;
    background-color: #EFEFEF;
}

::-webkit-scrollbar-thumb {
    border-radius: 3px;
    background-color: #C3C3C3;
    border: 1px solid #eee;
}

.scrollbars-ipad {
    -webkit-overflow-scrolling: touch;
}


a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
    a {
  color: #0366d6;
}


.points-studenticon-shadow-black {
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
}


.points-studenticon-shadow-blue {
    box-shadow: 0px 0px 20px rgba(0, 0, 255, 0.5);
}


.points-groupicon-shadow-black {
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
}


.points-groupicon-shadow-blue {
    box-shadow: 0px 0px 20px rgba(0, 0, 255, 0.5);
}


.canvas-element-highlight {
    outline: 20px solid yellow;
    overflow: visible;
}

.bubble {
    width: 100%;
    height: 85%;
    background-color: white;
    padding-top: 1px;
    padding-bottom: 1px;
}

.bubble-small {
    width: 100%;
    background-color: white;
    align-items: center;
}

.bubble-gray {
    padding: 10px;
    border-radius: 5px;
    width: 100%;
    color: black;
    background-color: gainsboro;
    border-color: gray;
}

.bubble-nodocumenttitle {
    padding: 10px;
    border-radius: 5px;
    width: 100%;
    color: #80027b;
    background-color: #febefc;
    border-color: #fc56f7;
}

.bubble-danger {
    padding: 10px;
    border-radius: 5px;
    width: 100%;
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

.bubble-primary {
    padding: 10px;
    border-radius: 5px;
    width: 100%;
    color: #004085;
    background-color: #cce5ff;
    border-color: #b8daff;
}

.bubble-success {
    padding: 10px;
    border-radius: 5px;
    width: 100%;
    color: #155724;
    background-color: #d4edda;
    border-color: #c3e6cb;
}

.bubble-warning {
    padding: 10px;
    border-radius: 5px;
    width: 100%;
    color: #856404;
    background-color: #fff3cd;
    border-color: #ffeeba;
}

.bubble-small-nopadding-warning {
    border-radius: 5px;
    width: 100%;
    color: #856404;
    background-color: #fff3cd;
    border-color: #ffeeba;
}

.calendar-primary {
    padding: 5px;
    border-radius: 5px;
    width: 100%;
    color: #fff;
    background-color: #cce5ff;
    border-color: #b8daff;
}

.calendar-success {
    padding: 5px;
    border-radius: 5px;
    width: 100%;
    color: #fff;
    background-color: #28a745;
    border-color: #28a745
}

.calendar-warning {
    padding: 5px;
    border-radius: 5px;
    width: 100%;
    color: dimgray;
    background-color: #fff3cd;
    border-color: #ffeeba;
}

.calendar-birthday {
    padding: 5px;
    border-radius: 5px;
    width: 100%;
    color: #fff;
    background-color: mediumpurple;
    border-color: rebeccapurple;
}

.calendar-danger {
    padding: 5px;
    border-radius: 5px;
    width: 100%;
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545
}

.btn-birthday {
    color: #fff;
    background-color: mediumpurple;
    border-color: rebeccapurple;
}


.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}


.dropzone-height {
    height: 500px;
    min-height: 500px;
}

.dropzone .dz-preview .dz-image {
    width: auto !important;
    height: auto !important;
}

    .dropzone .dz-preview .dz-image img {
        max-width: 100%;
    }

.footer-background {
    /*background-image: url('../foot_background.png');
    background-size: cover;*/ /* Ensures the image covers the element */
    /*background-position: center;*/ /* Centers the image */
    /*background-repeat: no-repeat;*/ /* Prevents tiling */
    background-color: #255e7a;
        
}


.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}


.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}


.modal-500 {
    width: 500px;
    min-width: 500px;
    max-width: 500px;
    margin: 30px auto;
}


.modal-700 {
    width: 700px;
    min-width: 700px;
    max-width: 700px;
    margin: 30px auto;
}


.modal-900 {
    width: 900px;
    min-width: 900px;
    max-width: 900px;
    margin: 30px auto;
}


.modal-1200 {
    width: 1200px;
    min-width: 1200px;
    max-width: 1200px;
    margin: 30px auto;
}

.modalPointAssignmentmodal {
    top: 60px;
}


.modalPointAssignmentDialogSize {
    width: 1200px;
    min-width: 1200px !important;
    height: 800px;
    min-height: 800px !important;
}


.modalPointAssignmentBodySize {
    background-image: url('../images/classpointassignment_background.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}


#mainPortalNavigationSection {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 80px;
    z-index: 10;
}


#mainPortalSection {
    position: absolute;
    top: 70px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    overflow: hidden;
}

#mainSystemAdministrationPortalSection {
    position: absolute;
    top: 80px;
    left: 0px;
    right: 0px;
    bottom: 0px;
}


.card-container {
    display: flex;
    gap: 1rem;
    height: 100%;
}


.ChickPea_RoundPill_Success {
    border-radius: 3px 3px;
    color: #155724;
    background-color: #d4edda;
    border-color: #c3e6cb;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
}

.ChickPea_RoundPill_Warning {
    border-radius: 3px 3px;
    border-color: red;
    background-color: salmon;
    color: whitesmoke;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
}

.chickpea_roundbox_generic {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    background-image: url('../images/lessonplan_subjectbanner1_hrz.png');
}

.chickpea_roundbox_currentday {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    background-color: lightyellow;
}

.chickpea_roundbox_whitesmoke {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    background-color: whitesmoke;
}

.chickpea_roundbox_gainsboro {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    background-color: gainsboro;
}

.chickpea_roundbox_subject_daystop {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 12pt;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
    vertical-align: middle;
    background-image: url('../images/lessonplan_subjectbanner1.png');
}


.chickpea_roundbox_subject_subjecttop {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 12pt;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
    vertical-align: middle;
    background-image: url('../images/lessonplan_subjectbanner1.png');
    background-size: cover; /* Ensures the image covers the element */
    background-position: center; /* Centers the image */
    background-repeat: no-repeat; /* Prevents tiling */
}


.chickpea_roundbox_subject_text_daysonleft {
    top: 50%;
    right: 50%;
    position: relative;
    -webkit-transform: scale(-1) translate(-65%, 50%);
    -ms-transform: scale(-1) translate(-65%, 50%);
    transform: scale(-1) translate(-65%, 50%);
    -webkit-writing-mode: vertical-lr;
    -ms-writing-mode: tb-lr;
    writing-mode: vertical-lr;
    background-size: cover;
}


.chickpea_roundbox_subject_text {
    top: 50%;
    right: 50%;
    position: relative;
    -webkit-transform: scale(-1) translate(-50%, 50%);
    -ms-transform: scale(-1) translate(-50%, 50%);
    transform: scale(-1) translate(-50%, 50%);
    -webkit-writing-mode: vertical-lr;
    -ms-writing-mode: tb-lr;
    writing-mode: vertical-lr;
}


.chickpea_roundbox_headbanner1 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 18pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_headbanner1.png');
    background-repeat: repeat-x;
}

.chickpea_roundbox_headbanner2 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 18pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_headbanner2.png');
    background-size: cover;
    background-position: center;
}

.chickpea_roundbox_headbanner3 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 18pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_headbanner3.png');
    background-size: cover;
    background-position: bottom;
}

.chickpea_roundbox_calendar1 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 14pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_calbanner1_light.png');
    background-color: white;
}

.chickpea_roundbox_calendar2 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 14pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_calbanner2_light.png');
    background-color: white;
}

.chickpea_roundbox_calendar3 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 14pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_calbanner3_light.png');
    background-color: white;
}

.chickpea_roundbox_calendar4 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 14pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_calbanner4_light.png');
    background-color: white;
}

.chickpea_roundbox_calendar5 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 14pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_calbanner5_light.png');
    background-color: white;
}

.chickpea_roundbox_kid1 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 18pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_kidbanner_1.png');
}

.chickpea_roundbox_kid2 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 18pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_kidbanner_2.png');
}

.chickpea_roundbox_kid3 {
    border-radius: 5px 5px;
    border: 1px solid darkgray;
    height: 100%;
    width: 100%;
    padding: 2px;
    color: black;
    font-size: 18pt;
    font-weight: bold;
    background-image: url('../images/lessonplan_kidbanner_3.png');
}


.container-grid-gradebook-toprow {
    display: grid;
    grid-template-rows: 80px;
    grid-template-columns: 130px;
    grid-auto-columns: 130px;
    align-content: start;
    grid-gap: 2px;
}


.container-grid-gradebook-bottomrow {
    margin: 0px;
    display: grid;
    grid-template-rows: 50px;
    grid-template-columns: 130px;
    grid-auto-columns: 130px;
    align-content: start;
    grid-gap: 2px;
}


.container-grid-gradebook-studentcolumn {
    display: grid;
    grid-template-rows: 80px;
    grid-template-columns: 270px;
    grid-auto-rows: 80px;
    align-content: start;
    grid-gap: 2px;
}


.container-grid-gradebook-studentgridrow {
    display: grid;
    grid-template-rows: 80px;
    grid-template-columns: 270px 130px;
    grid-auto-columns: 130px;
    grid-auto-rows: 80px;
    align-content: start;
    grid-gap: 2px;
}


.container-grid-gradebook-gradedetail {
    display: grid;
    grid-template-rows: 80px;
    grid-template-columns: 130px;
    grid-auto-rows: 80px;
    grid-auto-columns: 130px;
    align-content: start;
    grid-gap: 2px;
}


.container-grid-lessonplanobjectsetup {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 300px;
    grid-template-columns: 300px;
    -ms-grid-rows: 100%;
    grid-template-rows: 100%;
    grid-auto-columns: 250px;
    grid-auto-rows: 100%;
    -ms-flex-line-pack: center;
    align-content: center;
    grid-gap: 1px;
}

    .container-grid-lessonplanobjectsetup > *:nth-child(1) {
        -ms-grid-row: 1;
        -ms-grid-column: 1;
    }


.container-grid-lessonplanbuilding-daystop {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    display: grid;
    grid-template-rows: 50px 50px;
    grid-template-columns: 350px 30px 400px 400px 400px 400px 400px 300px;
/*    grid-auto-rows: 450px;*/
    align-content: center;
    grid-gap: 1px;
}


.container-grid-currentlessonplan-daystop {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    display: grid;
    grid-template-rows: 50px;
    grid-template-columns: 350px 30px 400px 400px 400px 400px 400px;
    grid-auto-rows: 300px;
    align-content: center;
    grid-gap: 1px;
}


.container-grid-lessonplanbuilding-subjecttop {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    display: grid;
    grid-template-rows: 50px 30px;
    grid-template-columns: 350px 50px;
/*    grid-auto-rows: 450px;*/
    grid-auto-columns: 400px;
    align-content: center;
    grid-gap: 1px;
}


.container-grid-currentlessonplan-subjecttop {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    display: grid;
    grid-template-rows: 30px;
    grid-template-columns: 350px 50px 400px 400px 400px 400px 400px;
    grid-auto-rows: 300px;
    grid-auto-columns: 400px;
    align-content: center;
    grid-gap: 1px;
}


.container-grid-currentlessonplan_navheader {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    display: grid;
    grid-template-rows: 40px;
    grid-template-columns: 32% 27% 27% 14%;
    align-content: center;
    grid-gap: 1px;
}

.container-grid-currentlessonplan {
    width: 100%;
    padding-top: 10px;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    display: grid;
    grid-template-rows: 50px calc(100vh - 268px);
    grid-template-columns: 70% 15% 15%;
    align-content: center;
    grid-gap: 1px;
}

.container-grid-lessonplan_insidebox {
    width: 100%;
    padding-right: 0px;
    padding-left: 0px;
    margin-right: auto;
    margin-left: auto;
    display: grid;
    grid-template-rows: 80px 40px;
    grid-template-columns: 50px 300px 300px 300px 300px 300px;
    grid-auto-rows: 175px;
    align-content: center;
    grid-gap: 1px;
}

.rotate-text {
    position: relative;
    top: 50%;
    left: 50%;
}

.rotate-text-up {
    transform: translateX(-50%) translateY(-50%) rotate(-90deg)
}

.rotate-text-down {
    transform: translateX(-50%) translateY(-50%) rotate(90deg)
}



.img-calendar-shake {
    animation: shake 0.5s;
    animation-iteration-count: 10;
}

.pulse {
    animation: pulse-animation 1s infinite;
}


.fade-in-bottom-normal {
    /*animation: fade-in-bottom-normal 0.5s ease-in 0s 1 normal none;*/
    animation: fade-in-bottom-normal;
    animation-duration: 0.25s;
    animation-iteration-count: 1;
    animation-timing-function: linear;
}

.fade-in-right-normal {
    animation: fade-in-right-normal;
    animation-duration: 0.25s;
    animation-iteration-count: 1;
    animation-timing-function: linear;
}

.fade-in-left-normal {
    animation: fade-in-left-normal;
    animation-duration: 0.25s;
    animation-iteration-count: 1;
    animation-timing-function: linear;
}

@keyframes fade-in-left-normal {
    0% {
        transform: translateX(-50px);
        opacity: 0;
    }

    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes fade-in-bottom-normal {
    0% {
        transform: translateY(50px);
        opacity: 0;
    }

    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes fade-in-right-normal {
    0% {
        transform: translateX(50px);
        opacity: 0;
    }

    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes pulse-animation {
    0% {
        box-shadow: 0 0 0 0px rgba(255, 0, 0, 0.2);
    }

    100% {
        box-shadow: 0 0 0 30px rgba(255, 0, 0, 0);
    }
}

@keyframes shake {
    0% {
        transform: translate(1px, 1px) rotate(45deg);
    }

    50% {
        transform: translate(1px, -2px) rotate(-45deg);
    }

    100% {
        transform: translate(1px, -2px) rotate(45deg);
    }
}

